#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		nname		%(echo %{name}  | cut -d '-' -f2-3 | tr -s '-' '_')
#-----------------------------------------------------------------------------
Name		:	python3-pytest-expect
Version		:	1.1.0
Release		:	17.2.0.rel%{?dist}
Summary		:	py.test plugin to store test expectations and mark tests based on them

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/webencodings

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
A py.test plugin that stores test expectations by
saving the set of failing tests, allowing them
to be marked as xfail when running them in future.
The tests expectations are stored such that they
can be distributed alongside the tests.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.rst
%{python3_sitelib}/%{nname}/*.py
%{python3_sitelib}/%{nname}/__pycache__/*.pyc
%{python3_sitelib}/%{nname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
